<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Coverage](./puppeteer.coverage.md) &gt; [(constructor)](./puppeteer.coverage._constructor_.md)

## Coverage.(constructor)

Constructs a new instance of the `Coverage` class

<b>Signature:</b>

```typescript
constructor(client: CDPSession);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  client | [CDPSession](./puppeteer.cdpsession.md) |  |

